##
# Copyright (c) 2021 Xilinx, Inc.
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy of this software and 
# associated documentation files (the "Software"), to deal in the Software without restriction, including 
# without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell 
# copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to 
# the following conditions: 
# 
# The above copyright notice and this permission notice shall be included in all copies or substantial 
# portions of the Software. 
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT 
# LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
# SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
# 
#
##
## **Regressions**

#### **ATG Configuration**
- All AXI Traffic Generators in the fabric can be configured through ATG Configuration.
- To configure an ATG, click on Enable checkbox (highlighted in red) against respective ATG. (Ex. ATG_NCI0 is enabled, highlighted in green)
![ATG Configuration table](/images/atgconfiguration_table.png)
- ATG can be configured in Auto or manual mode. In Auto mode, the ATG is configured to send traffic to DDR in hardware loop. To select Auto mode, click on "Auto" checkbox (highlighted in red).
![ATG Auto Configuration](/images/atgconfiguration_auto.png)
- In manual mode, fill "Address", "Operation", "Length", "Slave1 Address","Slave2 Address" fields. Operations permitted are read(Read), read-write(rdwr) and write(Write). In read-write mode, we can configure read/write destination to same Slave1 location or read destination as Slave1 Address and write destination to Slave2. Hardware loop can be enabled by click on "Loop" checkbox.(Please refer to below image)
![ATG Manual Configuration](/images/atgconfiguration_loop.png)
- Click on "configure" button to configure the ATG.
- Multiple ATG's can be configured by enabling the required ATG's and click on "Configure All" button.
- A pop-up on ATG configuration status is flagged. Pop-up disappears by clicking on cross mark(close button).
- To download the ATG configuration file click on  (highlighted in red).
![ATG Configuration Downlaod](/images/atgconfiguration_download.png)

#### **Test Suite**
- PS/NoC/DDR , AI Engine, CPM test cases can be executed from ACAP Cockpit through Test Suite.
- Each test case has it's dedicated Test ID. To run a test case click on enable checkbox and then execute button.
- After the test case is executed, data size, TC write to slave, TC status, Result location fields are updated.
- To execute multiple tests together, select the desired checkboxes and then click on "Execute All" button.
- To upload new Test ID's click on "upload" button choose a .tcl file and then click on refresh button. The .tcl file should be named as testcaselist _<CPM / ME / PS_NOC_DDR>.tcl
- To download the test ID list, click on download button. A tcl file with name testcaselist _<CPM / ME / PS_NOC_DDR>.tcl is downloaded.Please refer to below screenshot.
![Test Suite](/images/test_suite.png)
